﻿using System;
using System.Drawing;
using BijanComponents;

/// <summary>
///     Summary description for MyClass
/// </summary>
public class myclass
{
    public Color RemainColor = Color.Pink;
    public Color passColor = Color.Tomato;

    private string my_getnameforfile()
    {
        string DateNow = ShamsiDate.GetShamsiDate(DateTime.Now).Trim();
        DateNow = DateNow.Replace("/", "");
        DateNow += DateTime.Now.Hour.ToString().Trim() + DateTime.Now.Minute.ToString().Trim() +
                   DateTime.Now.Second.ToString().Trim();
        return DateNow.Trim();
    }
}

//-------------------------------------------------------------------------------------------------------
public class my_inttopersian
{
    private static readonly string[] yakan = new string[10]
    {"صفر", "یک", "دو", "سه", "چهار", "پنج", "شش", "هفت", "هشت", "نه"};

    private static readonly string[] dahgan = new string[10]
    {"", "", "بیست", "سی", "چهل", "پنجاه", "شصت", "هفتاد", "هشتاد", "نود"};

    private static readonly string[] dahyek = new string[10]
    {"ده", "یازده", "دوازده", "سیزده", "چهارده", "پانزده", "شانزده", "هفده", "هجده", "نوزده"};

    private static readonly string[] sadgan = new string[10]
    {"", "یکصد", "دویست", "سیصد", "چهارصد", "پانصد", "ششصد", "هفتصد", "هشتصد", "نهصد"};

    private static readonly string[] basex = new string[5] {"", "هزار", "میلیون", "میلیارد", "تریلیون"};

    private static string getnum3(int num3)
    {
        string s = "";
        int d3, d12;
        d12 = num3%100;
        d3 = num3/100;
        if (d3 != 0)
            s = sadgan[d3] + " و ";
        if ((d12 >= 10) && (d12 <= 19))
        {
            s = s + dahyek[d12 - 10];
        }
        else
        {
            int d2 = d12/10;
            if (d2 != 0)
                s = s + dahgan[d2] + " و ";
            int d1 = d12%10;
            if (d1 != 0)
                s = s + yakan[d1] + " و ";
            s = s.Substring(0, s.Length - 3);
        }
        return s;
    }

    public string num2str(string snum)
    {
        string stotal = "";
        if (snum == "")
            return "صفر";
        if (snum == "0")
        {
            return yakan[0];
        }
        snum = snum.PadLeft(((snum.Length - 1)/3 + 1)*3, '0');
        int L = snum.Length/3 - 1;
        for (int i = 0; i <= L; i++)
        {
            int b = int.Parse(snum.Substring(i*3, 3));
            if (b != 0)
                stotal = stotal + getnum3(b) + " " + basex[L - i] + " و ";
        }
        stotal = stotal.Substring(0, stotal.Length - 3);
        return stotal;
    }

    public string my_persianmont(int x)
    {
        string mystr = "";
        switch (x)
        {
            case 1:
                mystr = "فروردین";
                break;
            case 2:
                mystr = "اردیبهشت";
                break;
            case 3:
                mystr = "خرداد";
                break;
            case 4:
                mystr = "تیر";
                break;
            case 5:
                mystr = "مرداد";
                break;
            case 6:
                mystr = "شهریور";
                break;
            case 7:
                mystr = "مهر";
                break;
            case 8:
                mystr = "آبان";
                break;
            case 9:
                mystr = "آذر";
                break;
            case 10:
                mystr = "دی";
                break;
            case 11:
                mystr = "بهمن";
                break;
            case 12:
                mystr = "اسفند";
                break;
        }
        return mystr;
    }
}

//-------------------------------------------------------------------------------------------------------
/*public static int getlastidgovahi()
{
    
}*/
//-------------------------------------------------------------------------------------------------------
//-------------------------------------------------------------------------------------------------------
//-------------------------------------------------------------------------------------------------------
//-------------------------------------------------------------------------------------------------------
//-------------------------------------------------------------------------------------------------------
//-------------------------------------------------------------------------------------------------------
//-------------------------------------------------------------------------------------------------------
//-------------------------------------------------------------------------------------------------------
//-------------------------------------------------------------------------------------------------------
//-------------------------------------------------------------------------------------------------------
//-------------------------------------------------------------------------------------------------------
//-------------------------------------------------------------------------------------------------------
//-------------------------------------------------------------------------------------------------------
//-------------------------------------------------------------------------------------------------------
//-------------------------------------------------------------------------------------------------------
//-------------------------------------------------------------------------------------------------------
//-------------------------------------------------------------------------------------------------------
//-------------------------------------------------------------------------------------------------------
//-------------------------------------------------------------------------------------------------------